<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Constraint Manipulation</TITLE>
<link href="suifmath_14.html" rel=Next>
<link href="suifmath_12.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_12.html">previous</A>, <A HREF="suifmath_14.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC13" HREF="suifmath_toc.html#TOC13">Constraint Manipulation</A></H3>
<P>
<A NAME="IDX269"></A>
<A NAME="IDX270"></A>
<A NAME="IDX271"></A>

</P>
<P>
All the functionality of section <A HREF="suifmath_7.html#SEC7">Row Manipulation</A> applies to the
constraints. 
Assume <VAR>a</VAR> and <VAR>b</VAR> are of the class <CODE>constraint</CODE> and
<VAR>n</VAR>, <VAR>i</VAR> and <VAR>j</VAR> are integers.  

</P>
<P>
<A NAME="IDX272"></A>
<A NAME="IDX273"></A>
<DL COMPACT>

<DT><CODE>constraint a();</CODE>
<DD>
<DT><CODE>a.init();</CODE>
<DD>
<DT><CODE>constraint a(i);</CODE>
<DD>
<DT><CODE>a.init(i);</CODE>
<DD>
<DT><CODE>constraint a(b);</CODE>
<DD>
<DT><CODE>constraint a(&#38;b);</CODE>
<DD>
<DT><CODE>a.init(b);</CODE>
<DD>
<DT><CODE>a.init(&#38;b);</CODE>
<DD>
<A NAME="IDX274"></A>
<A NAME="IDX275"></A>
<A NAME="IDX276"></A>
<A NAME="IDX277"></A>
<A NAME="IDX278"></A>
<A NAME="IDX279"></A>
<A NAME="IDX280"></A>
<A NAME="IDX281"></A>
 The constructors and initializing routines for the constraints.
</DL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_12.html">previous</A>, <A HREF="suifmath_14.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
